- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_shm_put_image_request_t Struct Reference
[XCB Shm API]

xcb_shm_put_image_request_t More...

`#include <shm.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_drawable_t | drawable
xcb_gcontext_t | gc
uint16_t | total_width
uint16_t | total_height
uint16_t | src_x
uint16_t | src_y
uint16_t | src_width
uint16_t | src_height
int16_t | dst_x
int16_t | dst_y
uint8_t | depth
uint8_t | format
uint8_t | send_event
uint8_t | pad0
xcb_shm_seg_t | shmseg
uint32_t | offset

## Detailed Description

xcb_shm_put_image_request_t

## Field Documentation

uint8_t xcb_shm_put_image_request_t::major_opcode

uint8_t xcb_shm_put_image_request_t::minor_opcode

uint16_t xcb_shm_put_image_request_t::length

xcb_drawable_t xcb_shm_put_image_request_t::drawable

xcb_gcontext_t xcb_shm_put_image_request_t::gc

uint16_t xcb_shm_put_image_request_t::total_width

uint16_t xcb_shm_put_image_request_t::total_height

uint16_t xcb_shm_put_image_request_t::src_x

uint16_t xcb_shm_put_image_request_t::src_y

uint16_t xcb_shm_put_image_request_t::src_width

uint16_t xcb_shm_put_image_request_t::src_height

int16_t xcb_shm_put_image_request_t::dst_x

int16_t xcb_shm_put_image_request_t::dst_y

uint8_t xcb_shm_put_image_request_t::depth

uint8_t xcb_shm_put_image_request_t::format

uint8_t xcb_shm_put_image_request_t::send_event

uint8_t xcb_shm_put_image_request_t::pad0

xcb_shm_seg_t xcb_shm_put_image_request_t::shmseg

uint32_t xcb_shm_put_image_request_t::offset

The documentation for this struct was generated from the following file:

- shm.h